Skip to content
Start here

List trusted email domains

client.emailSecurity.settings.trustedDomains.list(TrustedDomainListParams { account_id, direction, is_recent, 6 more } params, RequestOptionsoptions?): V4PagePaginationArray<TrustedDomainListResponse { id, comments, created_at, 6 more } >
GET/accounts/{account_id}/email-security/settings/trusted_domains

Returns a paginated list of trusted domain patterns. Trusted domains prevent false positives for recently registered domains and lookalike domain detections. Patterns can use regular expressions for flexible matching.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: WriteCloud Email Security: Read
ParametersExpand Collapse
params: TrustedDomainListParams { account_id, direction, is_recent, 6 more }
account_id: string

Path param: Identifier.

maxLength32
direction?: "asc" | "desc"

Query param: The sorting direction.

One of the following:
"asc"
"desc"
is_recent?: boolean

Query param: Filter to show only recently registered domains that are trusted to prevent triggering Suspicious or Malicious dispositions.

is_similarity?: boolean

Query param: Filter to show only proximity domains (partner or approved domains with similar spelling to connected domains) that prevent Spoof dispositions.

order?: "pattern" | "created_at"

Query param: Field to sort by.

One of the following:
"pattern"
"created_at"
page?: number

Query param: Current page within paginated list of results.

minimum1
pattern?: string

Query param

per_page?: number

Query param: The number of results per page. Maximum value is 1000.

maximum1000
minimum1
ReturnsExpand Collapse
TrustedDomainListResponse { id, comments, created_at, 6 more }

A trusted email domain

id?: string

Trusted domain identifier

formatuuid
comments?: string | null
maxLength1024
created_at?: string
formatdate-time
is_recent?: boolean

Select to prevent recently registered domains from triggering a Suspicious or Malicious disposition.

is_regex?: boolean
is_similarity?: boolean

Select for partner or other approved domains that have similar spelling to your connected domains. Prevents listed domains from triggering a Spoof disposition.

Deprecatedlast_modified?: string

Deprecated, use modified_at instead. End of life: November 1, 2026.

formatdate-time
modified_at?: string
formatdate-time
pattern?: string
maxLength1024
minLength1

List trusted email domains

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const trustedDomainListResponse of client.emailSecurity.settings.trustedDomains.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(trustedDomainListResponse.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "comments": "Trusted partner domain",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "is_recent": true,
      "is_regex": false,
      "is_similarity": false,
      "last_modified": "2014-01-01T05:20:00.12345Z",
      "modified_at": "2014-01-01T05:20:00.12345Z",
      "pattern": "example.com"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
      "comments": "Trusted partner domain",
      "created_at": "2014-01-01T05:20:00.12345Z",
      "is_recent": true,
      "is_regex": false,
      "is_similarity": false,
      "last_modified": "2014-01-01T05:20:00.12345Z",
      "modified_at": "2014-01-01T05:20:00.12345Z",
      "pattern": "example.com"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}